Exodus 7.10

Functions
ex_get_coordinate_frames.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <assert.h>`
`#include <stddef.h>`
`#include <stdio.h>`

## Functions
int | ex_get_coordinate_frames (int exoid, int *nframes, void_int *cf_ids, void *pt_coordinates, char *tags)

## Function Documentation

## ◆ ex_get_coordinate_frames()

int ex_get_coordinate_frames | ( | int | exoid,
|  | int * | nframes,
|  | void_int * | cf_ids,
|  | void * | pt_coordinates,
|  | char * | tags
| ) |  |

Coordinate frames are stored in the database as a series of three points (defined in the basic cartesian coordinate system). The first of these points describes the origin of the new system. The second point lies on the 3 axis (or Z axis) of the frame. The third point is in the 1-3 (xz) plane. Each coordinate frame is identified by a unique, integer coordinate ID, and by a character tag indicating whether the frame is rectangular cartesian "R", cylindrical "C, or spherical "S". Because the coordinates are floating point values, the application code must declare the arrays passed to be the appropriate type "float" or "double" to match the compute word size passed in ex_create() or ex_open().

Parameters

  | exoid | exodus file id
  [in,out] | nframes | if 'cf_ids' is NULL, then nframes is returned with the number of defined coordinate frames. Else it is the number of coordinate frames to read.
  [out] | cf_ids | The (nframes) coordinate frame Ids. If cf_ids is NULL, no data will be returned in this or any other array. Only nframes will be modified. Otherwise, space must be allocated to store 'nframes' integers before making this call.
  [out] | pt_coordinates | The (9*nframes) coordinates of the three points defining each coordinate axis. The first three values are the origin of the first frame. The next three values are the coordinates of a point on the 3rd axis of the first frame. The next three values are the coordinates of a point in the plane of the 1-3 axis. The pattern is repeated for each frame. If 'cf_ids' is null, no data will be returned in this array. Otherwise, space must be allocated for 9*nframes floating point values. The size of the allocation depends upon the compute word size.
  [out] | tags | The (nframes) character tags associated with each coordinate frame. If 'cf_ids' is NULL, no data will be returned in this array. Otherwise, space must be allocated for 'nframes' characters.